//
// XMM Science Analysis System
//
// Giuseppe Vacanti (European Space Agency) 
// July 30, 1999
//
#ifndef CcfConstituentFactory_H
#define CcfConstituentFactory_H

#include <Dal.h>

#include "CcfConstituent.h"


class CcfConstituentFactory {
 public:
  CcfConstituentFactory();
  CcfConstituent * ccfConstituent(const string name) const;
  CcfConstituent * ccfConstituent(const Table * table, unsigned long row = 0) const;
};

extern CcfConstituentFactory * ccfConstituentFactory;


#endif
