//
// ls for CCF constituents. It makes use of the << operator on CCF constituents.
//
// Giuseppe Vacanti, October 1999 -- European Space Agency
#include <param.h>
#include <Tracer.h>
#include "CcfConstituentFactory.h"
#include "lsccf.h"

void lsccf() {
  PROC
    for(int i=0; i<parameterCount("sets"); i++){
      CcfConstituent * c = ccfConstituentFactory->ccfConstituent(stringParameter("sets",i));
      if(c->isValid())
	cout << *c << endl;
    }
  ENDPROC
}
